Announcement Announcement Module
Collapse
No announcement yet.
Groovy-Eclipse M2E integration 2.6.1.xx-20120104-1600-e37 update Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Groovy-Eclipse M2E integration 2.6.1.xx-20120104-1600-e37 update

    I am on Mac OSX Lion, with STS Version: 2.8.1.RELEASE Build Id: 201111221000

    The update Groovy-Eclipse M2E integration 2.6.1.xx-20120104-1600-e37 is like chinese food to STS. I install it and an hour later it needs to be installed again. It does not matter how often I install it, and it always installs without error. It just keeps coming back, sort of like Jason in the Friday the 13th movie franchise, but without all the gore.

  • #2
    Can you be more specific about what is happening?

    How did you install Groovy-Eclipse? From the dashboard or from the install manager?

    What exactly is the behavior you are seeing?

    How do you know that the M2E integration needs to be reinstalled?

    How do you know that the M2E integration has ever been installed properly?

    Do you have any relevant errors in your error log?

    Comment


    • #3
      Can you be more specific about what is happening?

      How did you install Groovy-Eclipse? From the dashboard or from the install manager?
      From the Dashboard

      What exactly is the behavior you are seeing?
      I install the update, no errors, no warnings. A few hours later STS asks me to install the same update again. I install again, and a few hours later STS asks me to install the update again. This goes on forever. Across STS restarts and Mac reboots.

      How do you know that the M2E integration needs to be reinstalled?
      The little reminder toast pops up at the bottom right corner of the STS screen telling me that updates are available.

      How do you know that the M2E integration has ever been installed properly?
      I use it all the time. It works like a charm.

      Do you have any relevant errors in your error log?
      This is the only one I can see that may be relevant:
      Code:
      eclipse.buildId=2.8.1.201111221000-RELEASE
      java.version=1.6.0_29
      java.vendor=Apple Inc.
      BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=en_US
      Framework arguments:  -product com.springsource.sts.ide -keyring /Users/dlaidlaw/.eclipse_keyring -showlocation
      Command-line arguments:  -os macosx -ws cocoa -arch x86_64 -product com.springsource.sts.ide -keyring /Users/dlaidlaw/.eclipse_keyring -showlocation
      
      Error
      Thu Jan 12 15:46:57 AST 2012
      An error occurred while undoing the org.eclipse.equinox.internal.p2.engine.phases.Collect phase.
      
      java.lang.NullPointerException
      	at org.eclipse.equinox.internal.p2.engine.EngineSession.getProfileDataDirectory(EngineSession.java:78)
      	at org.eclipse.equinox.internal.p2.engine.Phase.prePerform(Phase.java:95)
      	at org.eclipse.equinox.internal.p2.engine.EngineSession.rollBackPhase(EngineSession.java:221)
      	at org.eclipse.equinox.internal.p2.engine.EngineSession.rollback(EngineSession.java:178)
      	at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:84)
      	at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:44)
      	at org.eclipse.equinox.p2.operations.ProvisioningSession.performProvisioningPlan(ProvisioningSession.java:174)
      	at org.eclipse.equinox.p2.operations.ProfileModificationJob.runModal(ProfileModificationJob.java:79)
      	at org.eclipse.equinox.p2.operations.ProvisioningJob.run(ProvisioningJob.java:177)
      	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)
      But I do see the grails 2.0 update is ready. I will install that and see if it changes anything.

      Comment

      Working...
      X